// Button variants
//
// Easily pump out default styles, as well as :hover, :focus, :active,
// and disabled options for all buttons

@mixin button-variant($background, $border, $active-background: darken($background, 7.5%), $active-border: darken($border, 10%)) {
  @include color-yiq($background);
  background-color: $background;
  border-color: $border;
  @include box-shadow($btn-box-shadow);

  &:hover {
    @include color-yiq($background);
    box-shadow: $btn-box-shadow;
    //background-color: $active-background;
    //border-color: $active-border;
  }

  &:focus,
  &.focus {
    box-shadow: $btn-box-shadow;
    // Avoid using mixin so we can pass custom focus shadow properly
    //@if $enable-shadows {
    //  box-shadow: $btn-box-shadow, 0 0 0 3px rgba($border, .5);
    //} @else {
    //  box-shadow: 0 0 0 3px rgba($border, .5);
    //}
  }

  // Disabled comes first so active can properly restyle
  &.disabled,
  &:disabled {
    background-color: $background;
    border-color: $border;
    box-shadow: none;
    cursor: not-allowed;
  }

  &:active,
  &.active,
  .show > &.dropdown-toggle {
    //background-color: $active-background;
    //background-image: none; // Remove the gradient for the pressed/active state
    //border-color: $active-border;
    box-shadow: $btn-box-shadow;
  }
}

@mixin button-outline-variant($color, $color-hover: #fff) {
  color: #fff;
  background-color: transparent;
  background-image: none;
  border-color: $color;

  @include hover {
    color: #fff;
    background-color: $color;
    border-color: $color;
    box-shadow: $btn-box-shadow;
  }

  &:focus,
  &.focus {
    box-shadow: $btn-box-shadow;
  }

  &.disabled,
  &:disabled {
    color: #fff;
    background-color: transparent;
    box-shadow: none;
    cursor: not-allowed;
  }

  &:active,
  &.active,
  .show > &.dropdown-toggle {
    color: #fff;
    background-color: $color;
    border-color: $color;
    box-shadow: $btn-box-shadow;
  }
}

// Button sizes
@mixin button-size($padding-y, $padding-x, $font-size, $line-height, $border-radius) {
  padding: $padding-y $padding-x;
  font-size: $font-size;
  line-height: $line-height;
  @include border-radius($border-radius);
}
